View Issue Details

IDProjectCategoryView StatusLast Update
0008816LazarusIDEpublic2015-05-23 16:52
ReporterAntônio GalvãoAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.22Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0008816: Lazarus skins
DescriptionYou make a skin interface once and have skins as you want. Even a "Delphi" skin. And since Lazarus already has a skin, it can be more a question of documentation.

Skins also eliminates the problem of having to choose a necessary interface, or changing only skin when only a new skin is necessary. On the other hand, simplifies and standardizes the skin creation.
TagsNo tags attached.
Fixed in Revision
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

Marc Weustink

2007-05-05 03:13

administrator   ~0012495

Where does lazarus heve a skin ?

Antônio Galvão

2007-05-05 04:51

reporter   ~0012499

Last edited: 2007-05-05 18:17

It is possible it is not a skin object and some code could be necessary. But this does not invalidate what I said about skins. (Hanseniasis, well...)

Felipe Monteiro de Carvalho

2007-05-08 16:46

developer   ~0012547

> Skins also eliminates the problem of having to choose a necessary interface,

What interface are you talking about? The widgetset?

Also, Lazarus follows what the widgetset defines. To change it's appearence on Gtk, for example, you just need to change the Gtk theme.

Antônio Galvão

2007-05-08 17:20

reporter   ~0012548

Last edited: 2007-05-08 22:40

User interface. I am not talking about colors, but interface organization. If you want your buttons to be defined by user, or you want all on a unique window, or you want your buttons big or little, etc. You could have a skin interface to match a user interface and program it separately. Lazarus could distribute more than one user interfaces, or none.

Christian

2008-03-10 17:20

reporter   ~0018269

I think this is not hte best idea. Lazarus is an Development Enviroment and no Media Player.

mspiller

2008-03-10 18:45

reporter   ~0018271

I agree. I think it would be better to have an option of MDI style IDE (VS, BDS, SharpDevelop, newer Glade, etc etc...).

Christian

2008-03-11 05:41

reporter   ~0018278

AFAIK this will be avalible when Docking is 100% implemented.

Zeljan Rikalo

2011-11-05 12:46

developer   ~0053817

Felipe is working on fully custom drawn controls which will fix this issue.

Felipe Monteiro de Carvalho

2012-01-19 11:40

developer   ~0055844

LCL-CustomDrawn is already functional (at least in Android, less so in other platforms), and it is skinnable. There are other issues with it, but those should be posted in separate bugs.

use the forum to discuss how to use LCL-CustomDrawn:

http://www.lazarus.freepascal.org/index.php/board,51.0.html

Avishai

2012-01-19 11:59

reporter   ~0055845

The last time I looked, CustomDrawn does not support BiDiMode at all. For the IDE this may not be an issue, but I think it will be.

Antônio Galvão

2015-05-23 16:52

reporter   ~0083946

Closed.

Issue History

Date Modified Username Field Change
2007-05-04 18:49 Antônio Galvão New Issue
2007-05-04 18:49 Antônio Galvão Widgetset => Win32
2007-05-05 03:13 Marc Weustink LazTarget => -
2007-05-05 03:13 Marc Weustink Note Added: 0012495
2007-05-05 03:13 Marc Weustink Status new => feedback
2007-05-05 04:51 Antônio Galvão Note Added: 0012499
2007-05-05 05:13 Antônio Galvão Note Edited: 0012499
2007-05-05 09:00 Antônio Galvão Note Edited: 0012499
2007-05-05 18:17 Antônio Galvão Note Edited: 0012499
2007-05-08 16:46 Felipe Monteiro de Carvalho Note Added: 0012547
2007-05-08 17:20 Antônio Galvão Note Added: 0012548
2007-05-08 17:26 Antônio Galvão Note Edited: 0012548
2007-05-08 17:30 Antônio Galvão Note Edited: 0012548
2007-05-08 17:31 Antônio Galvão Note Edited: 0012548
2007-05-08 17:35 Antônio Galvão Note Edited: 0012548
2007-05-08 17:41 Antônio Galvão Note Edited: 0012548
2007-05-08 18:03 Antônio Galvão Note Edited: 0012548
2007-05-08 22:40 Antônio Galvão Note Edited: 0012548
2007-05-16 16:21 Vincent Snijders LazTarget - => post 1.2
2008-03-10 10:48 Vincent Snijders Status feedback => acknowledged
2008-03-10 17:20 Christian Note Added: 0018269
2008-03-10 18:45 mspiller Note Added: 0018271
2008-03-11 05:41 Christian Note Added: 0018278
2011-11-05 12:46 Zeljan Rikalo Note Added: 0053817
2011-11-16 10:39 Felipe Monteiro de Carvalho Status acknowledged => assigned
2011-11-16 10:39 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2012-01-19 11:40 Felipe Monteiro de Carvalho Status assigned => resolved
2012-01-19 11:40 Felipe Monteiro de Carvalho Fixed in Version => 0.9.31 (SVN)
2012-01-19 11:40 Felipe Monteiro de Carvalho Resolution open => fixed
2012-01-19 11:40 Felipe Monteiro de Carvalho Note Added: 0055844
2012-01-19 11:59 Avishai Note Added: 0055845
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4
2015-05-23 16:52 Antônio Galvão Note Added: 0083946
2015-05-23 16:52 Antônio Galvão Status resolved => closed